Subject: Re: [PATCH] powerpc/mpc85xx:Add initial device tree support of T104x

From: Scott Wood <[email-masked]>
Date: Mon, 16 Sep 2013 16:18:45 -0500

On Fri, 2013-09-13 at 02:30 -0500, Kushwaha Prabhakar-B32579 wrote:
> > I also question the need to define separate t1040 compatible values for
> > all of these, if the only difference is whether the onboard switch is
> > enabled or not.
> > 
> 
> so should I use T104x as compatible field. and in T1040 device tree add extra node for l2 switch. 

No, because we don't know if there will be (e.g) a t1043 that is
different.  Just use t1040 as the canonical name.

> > Please update the clock stuff based on
> > http://patchwork.ozlabs.org/patch/274134/
> > 
> 
> this patch is still under discussion. May I have to wait for the final patch.
> or may I rebase on v4. 

You can wait for the final patch, or you can update based on the current
state of the discussion, and be ready to update again if anything
changes.

> > > +/include/ "qoriq-dma-0.dtsi"
> > > +	dma@100300 {
> > > +		fsl,iommu-parent = <&pamu0>;
> > > +		fsl,liodn-reg = <&guts 0x580>; /* DMA1LIODNR */
> > > +	};
> > > +
> > > +/include/ "qoriq-dma-1.dtsi"
> > > +	dma@101300 {
> > > +		fsl,iommu-parent = <&pamu0>;
> > > +		fsl,liodn-reg = <&guts 0x584>; /* DMA2LIODNR */
> > > +	};
> > 
> > These are elo3:
> > http://patchwork.ozlabs.org/patch/271238/
> 
> This patch is still under discussion. 
> I am not sure, I should wait for final patch or change code as per v9 version. 

I think that patch is pretty well settled at this point.  Just make it a
prerequisite for this patch.

-Scott